<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:32 CEST 2019 -->
<title>refinement.model.refinements.provider</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="refinement.model.refinements.provider";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/presentation/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../refinement/model/refinements/tests/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/provider/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;refinement.model.refinements.provider</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../refinement/model/refinements/provider/ComposedRefinementsItemProvider.html" title="class in refinement.model.refinements.provider">ComposedRefinementsItemProvider</a></td>
<td class="colLast">
<div class="block">This is the item provider adapter for a <a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements"><code>ComposedRefinements</code></a> object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../refinement/model/refinements/provider/RefinementItemProvider.html" title="class in refinement.model.refinements.provider">RefinementItemProvider</a></td>
<td class="colLast">
<div class="block">This is the item provider adapter for a <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><code>Refinement</code></a> object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../refinement/model/refinements/provider/RefinementsEditPlugin.html" title="class in refinement.model.refinements.provider">RefinementsEditPlugin</a></td>
<td class="colLast">
<div class="block">This is the central singleton for the Refinements edit plugin.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../refinement/model/refinements/provider/RefinementsEditPlugin.Implementation.html" title="class in refinement.model.refinements.provider">RefinementsEditPlugin.Implementation</a></td>
<td class="colLast">
<div class="block">The actual implementation of the Eclipse <b>Plugin</b>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProvider.html" title="class in refinement.model.refinements.provider">RefinementsItemProvider</a></td>
<td class="colLast">
<div class="block">This is the item provider adapter for a <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><code>Refinements</code></a> object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html" title="class in refinement.model.refinements.provider">RefinementsItemProviderAdapterFactory</a></td>
<td class="colLast">
<div class="block">This is the factory that is used to provide the interfaces needed to support Viewers.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/presentation/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../refinement/model/refinements/tests/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/provider/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
